Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83973 - Wrong sort order for uk_UA locale
Summary: Wrong sort order for uk_UA locale
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-10 16:59 UTC by Leonid Kanter
Modified: 2016-11-24 14:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-17 05:44:35 UTC


Attachments (Terms of Use)
sort test (deleted)
2003-02-10 17:01 UTC, Leonid Kanter
no flags Details
test result (compare it with UN document) (deleted)
2003-02-10 17:03 UTC, Leonid Kanter
no flags Details
This patch fixes the problem (deleted)
2003-02-10 17:04 UTC, Leonid Kanter
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:325 normal SHIPPED_LIVE : Updated glibc packages provide security and bug fixes 2003-11-12 05:00:00 UTC

Description Leonid Kanter 2003-02-10 16:59:13 UTC
Description of problem:

Locale description for uk_UA locale is wrong. It's differ from ukrainian alfabet
order. (see this document:
http://www.un.org/depts/dhl/maplib/ungegn/session-17/working-papers/working-paper73.pdf)

Version-Release number of selected component (if applicable):

glibc-2.3.1-40

How reproducible:

always

Steps to Reproduce:

run test suite that will be attached (in uk_UA.KOI8-U locale)
    
Actual results:

sort order doesn't correspond to official Ukrainian alphabet

Expected results:

sort order must correspond to official Ukrainian alphabet

Comment 1 Leonid Kanter 2003-02-10 17:01:10 UTC
Created attachment 89973 [details]
sort test

Comment 2 Leonid Kanter 2003-02-10 17:03:17 UTC
Created attachment 89974 [details]
test result (compare it with UN document)

Comment 3 Leonid Kanter 2003-02-10 17:04:15 UTC
Created attachment 89975 [details]
This patch fixes the problem

Comment 4 Ulrich Drepper 2003-04-17 05:44:35 UTC
I've applied the patch to the official glibc CVS archive.  It'll probably appear
in the next binary release.

Comment 5 Ulrich Drepper 2003-11-04 21:32:03 UTC
Should be in the RHL9 errata.  A test version is available at

  ftp://people.redhat.com/jakub/glibc/errata/2.3.2-27.9.4/           
                                                                    



Note You need to log in before you can comment on or make changes to this bug.